Bug Hunting Session
Bug 59973 - FILESAVE row height export to xlsx still buggy
Summary: FILESAVE row height export to xlsx still buggy
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-28 14:22 UTC by Noel Power
Modified: 2013-03-13 17:32 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test document (6.87 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-01-28 14:22 UTC, Noel Power
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2013-01-28 14:22:47 UTC
Created attachment 73776 [details]
test document

please see attachment, a simple ods document with some different row heights ( but no cell content ) after saving to xlsx the row heights are incorrect, seems like multiple unused cells are incorrectly handled. e.g.

source ods document has

row 1-5   height 5.29mm
row 6-11  height 10.58mm
row 18-22 height 17.67mm

after export ( and re-load )


row 1     height 5.29
row 2-5   height 17.67
row 6     height 10.58
row 7-11  height 17.67
row 12    height 4.52 ( calc default row height )
row 13->> height 17.67

so, seems the first row of each height span is set correctly, the remainder of each row seems incorrect. Additionally the default row height seems set incorrectly ( possibly indicating that some more work required with Bug #55621
Comment 1 Not Assigned 2013-01-30 18:09:02 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b75bf09a5b905a3ed9c251869983a400c70c7fc6

correctly handle repeated row heights for empty rows ( fdo#59973 )



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Not Assigned 2013-02-07 16:27:57 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5aade07de7b404d1254e2135de751c3af4a05e1e&h=libreoffice-4-0

correctly handle repeated row heights for empty rows ( fdo#59973 )


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.